<template>
  <div>
    <v-container>
      <p class="display-2 font-weight-light	text-center pa-3">Регистрация</p>
      <p v-if='success' class="text-center">
        Ваша учетная запись была активирована.
        Вы можете войти, используя логин и пароль, введеный при регистрации
      </p>
      <p v-else class="text-center">Что то пошло не так</p>
    </v-container>
  </div>
</template>

<script>
export default {
  name: 'confirm',
  data: () => ({
    success: false
  }),
  created() {
    let uid = this.$route.query.uid
    let token = this.$route.query.token
    this.$store.dispatch('confirm', {uid, token})
      .then(() => this.success = true)
      .catch(err => console.log(err))
  }
}
</script>
